Dropbox has announced that starting on November 7th 2018, only the ext4 file system will be supported in Linux for synchronizing folders in the Dropbox desktop app. Those Linux users who have synch on other file systems such as XFS, ext2, ext3, ZFS, and many others will no longer have working Dropbox synchronization after this date.

This news came out after Linux dropbox users began seeing notifications stating "Dropbox Will Stop Syncing Ext4 File Systems in November."  You can see an example of this alert in Swedish below.

Dropbox Notification
Dropbox Notification in Swedish

When users posted on the Dropbox forums about this issue, a Dropbox Community Manager named Jay stated that only the ext4 partition for Linux would be supported starting on November 7 2018.

"Hi everyone, on Nov. 7, 2018, we’re ending support for Dropbox syncing to drives with certain uncommon file systems.," stated a Dropbox forum post. "The supported file systems are NTFS for Windows, HFS+ or APFS for Mac, and Ext4 for Linux."

The post went on to say that this was being done because Dropbox "relies on extended attributes (X-attrs) to identify files in the Dropbox folder and keep them in sync. We will keep supporting only the most common file systems that support X-attrs, so we can ensure stability and a consistent experience."

After this announcement, many users and subscribers were clearly frustrated as many use file systems other than ext4 that still support extended attributes. For example, the XFS file system is the default one used by Redhat Enterprise and supports extended attributes, but would no longer be supported.

Dropbox system requirements have been updated

As part of this announcement, Dropbox has updated the system requirements for their Dropbox desktop app. These requirements clearly state that you would "also need an Ext4 formatted hard drive".

System requirements for the Dropbox desktop app

The desktop app runs on Windows, Mac, and Linux operating systems. To run the Dropbox app on your computer you will need:

  • Windows: 7, 8, 8.1, or 10
    • You will also need an NTFS formatted hard drive
  • Mac: OS X Mavericks (10.9) up to macOS High Sierra (10.13)
  • Linux: Ubuntu 10.04 or higher, Fedora 19 or higher
    • You will also need an Ext4 formatted hard drive

For users who are receiving these notification and are already using a ext4 file system, Dropbox states the alert may be caused by another linked computer that utilizes an unsupported file system.

"If you received a notification, but are running one of the supported file systems, it's possible that you may have recently had a computer linked that was running an unsupported file system but have been since upgraded, or that computer is no longer being used."

BleepingComputer has contacted Dropbox for comment, but had not heard back at the time of this publication.

Related Articles:

Linus Torvalds Apologizes, Takes Break to Patch Behavior

Windows Systems Vulnerable to FragmentSmack, 90s-Like DoS Bug

Ubuntu Is Undoing a GNOME Security Feature

Windows 95 Is Now Available as an App for Windows, macOS and Linux

Mirai IoT Malware Uses Aboriginal Linux to Target Multiple Platforms